App\Entity\DevisProduit:
    type: entity
    table: devis_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        titre:
            type: string
            length: 255
            fixed: false
            nullable: true
        quantite:
            type: float
            nullable: false
        prixAchat:
            type: float
            nullable: false
        prixHt:
            type: float
            nullable: false
        tauxTva:
            type: float
            nullable: false
        totalTva:
            type: float
            nullable: false
        tauxRemise:
            type: float
            nullable: false
        totalRemise:
            type: float
            nullable: false
        totalHt:
            type: float
            nullable: false
        totalTtc:
            type: float
            nullable: false
        benefice:
            type: float
            nullable: false
        beneficePrevisionnel:
            type: float
            nullable: true
        notes:
            type: text
            nullable: true
    manyToOne:
        produit:
            targetEntity: Produit
            cascade: {  }
            mappedBy: null
            inversedBy: dproduits
            joinColumns:
                produit_id:
                    referencedColumnName: id
            orphanRemoval: false
        devis:
            targetEntity: Devis
            cascade: [persist]
            mappedBy: null
            inversedBy: dproduits
            joinColumns:
                devis_id:
                    referencedColumnName: id
            orphanRemoval: false